"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createProgramPlugin = void 0;
const node_1 = require("@idlebox/node");
function createProgramPlugin(plugin) {
    return (program, pluginOptions = {}) => {
        const options = program.getCompilerOptions();
        const rootDir = pluginOptions.rootDir || options.rootDir;
        const outDir = pluginOptions.outDir || options.outDir;
        if (!rootDir || !outDir) {
            throw new Error('the Program did not provide rootDir and/or outDiris. please modify your tsconfig.json.');
        }
        let packageJsonPath = pluginOptions.packageJsonPath;
        if (!packageJsonPath) {
            const p = node_1.findUpUntilSync(rootDir, 'package.json');
            if (!p) {
                throw new Error('Failed to find a package.json from ' + rootDir + '. you can set packageJsonPath in plugin options.');
            }
            packageJsonPath = p;
        }
        return plugin(program, pluginOptions, {
            outDir,
            rootDir,
            packageJsonPath,
        });
    };
}
exports.createProgramPlugin = createProgramPlugin;
//# sourceMappingURL=createProgramPlugin.js.map