"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDebug = exports.debugOut = void 0;
let uid = 0;
/** @internal */
exports.debugOut = getDebug(!!process.env.DEBUG_TRANSFORM_COMMON);
function getDebug(verbose) {
    if (verbose === 1) {
        return console.log.bind(console);
    }
    return verbose ? prefixedError(uid++) : () => { };
}
exports.getDebug = getDebug;
function prefixedError(id) {
    const title = `[${id.toFixed(0)}]`;
    return (msg, ...args) => {
        if (typeof msg === 'string') {
            console.error(title + ' ' + msg, ...args);
        }
        else {
            console.error(title, msg, ...args);
        }
    };
}
//# sourceMappingURL=debug.js.map