"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllImports = exports.isExport = exports.isImport = exports.isImportExport = void 0;
const tslib_1 = require("tslib");
const ts = tslib_1.__importStar(require("typescript"));
function isImportExport(node) {
    if (!ts.isImportDeclaration(node) && !ts.isExportDeclaration(node))
        return false;
    if (node.moduleSpecifier === undefined)
        return false;
    // only when module specifier is valid
    if (!ts.isStringLiteral(node.moduleSpecifier))
        return false;
    return true;
}
exports.isImportExport = isImportExport;
function isImport(node) {
    if (!ts.isImportDeclaration(node))
        return false;
    if (node.moduleSpecifier === undefined)
        return false;
    // only when module specifier is valid
    if (!ts.isStringLiteral(node.moduleSpecifier))
        return false;
    return true;
}
exports.isImport = isImport;
function isExport(node) {
    if (!ts.isExportDeclaration(node))
        return false;
    if (node.moduleSpecifier === undefined)
        return false;
    // only when module specifier is valid
    if (!ts.isStringLiteral(node.moduleSpecifier))
        return false;
    return true;
}
exports.isExport = isExport;
function getAllImports(sourceFile) {
    return sourceFile.forEachChild(() => {
        return undefined;
    }, (nodes) => {
        return nodes.filter((node) => {
            return isImport(node);
        });
    });
}
exports.getAllImports = getAllImports;
//# sourceMappingURL=importExport.js.map