"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.printMyDiagnostic = exports.formatMyDiagnostic = void 0;
const util_1 = require("util");
const node_1 = require("@idlebox/node");
function formatMyDiagnostic(node, message, ...args) {
    const pos = node.getSourceFile().getLineAndCharacterOfPosition(node.getStart());
    return util_1.format('%s(%s,%s): ' + message, node_1.relativePath(process.cwd(), node.getSourceFile().fileName), pos.line + 1, pos.character, ...args);
}
exports.formatMyDiagnostic = formatMyDiagnostic;
function printMyDiagnostic(node, message, ...args) {
    console.error(formatMyDiagnostic(node, message, ...args));
}
exports.printMyDiagnostic = printMyDiagnostic;
//# sourceMappingURL=myDiagnostic.js.map